package com.syntevo.plugin.jira.commit.workflow;

import java.util.*;

import org.tmatesoft.svn.core.*;
import org.tmatesoft.svn.core.wc.*;

import com.syntevo.openapi.smartsvn.command.*;
import com.syntevo.openapi.smartsvn.command.commit.*;
import com.syntevo.openapi.smartsvn.file.*;

/**
 * @author syntevo GmbH
 */
abstract class FilterPostCommandPhase implements ICommitPostCommandPhase {

	// Fields =================================================================

	private final ICommitPostCommandPhase wrappedPhase;

	// Setup ==================================================================

	protected FilterPostCommandPhase(ICommitPostCommandPhase wrappedPhase) {
		if (wrappedPhase == null) {
			throw new IllegalArgumentException("wrappedPhase expected");
		}

		this.wrappedPhase = wrappedPhase;
	}

	// Implemented ============================================================

	public void process(Map<Path, SVNEvent> pathToEvent, SvnClients svnClients) throws SVNException {
		wrappedPhase.process(pathToEvent, svnClients);
	}
}
